Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.smil
Enum OdfFillDefaultType

    java.lang.Object
      java.lang.Enum<OdfFillDefaultType>
          org.odftoolkit.odfdom.dom.type.smil.OdfFillDefaultType

All Implemented Interfaces:
  Serializable, Comparable<OdfFillDefaultType>

    public enum OdfFillDefaultType

extends Enum<OdfFillDefaultType>

DOM implementation of OpenDocument attribute smil:fillDefault.

Enum Constant Summary
`AUTO`
`FREEZE`
`HOLD`
`INHERIT`
`REMOVE`
`TRANSITION`

Method Summary
`static OdfFillDefaultType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfFillDefaultType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfFillDefaultType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfFillDefaultType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INHERIT

    public static final OdfFillDefaultType INHERIT

### AUTO

    public static final OdfFillDefaultType AUTO

### TRANSITION

    public static final OdfFillDefaultType TRANSITION

### HOLD

    public static final OdfFillDefaultType HOLD

### FREEZE

    public static final OdfFillDefaultType FREEZE

### REMOVE

    public static final OdfFillDefaultType REMOVE

Method Detail

### values

    public static OdfFillDefaultType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfFillDefaultType c : OdfFillDefaultType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfFillDefaultType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfFillDefaultType>`
  Returns:
    return the name of OdfFillDefaultType

### toString

    public static String toString(OdfFillDefaultType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfFillDefaultType, see smil:fillDefault
  Returns:
    return the name of OdfFillDefaultType

### enumValueOf

    public static OdfFillDefaultType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfFillDefaultType
  Returns:
    return the constant of OdfFillDefaultType, see smil:fillDefault

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.